curl -X POST https://app.drime.cloud/api/v1/vault/file-entries/move \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [111346],
"destinationId": 111347
}'
const response = await fetch('https://app.drime.cloud/api/v1/vault/file-entries/move', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [111346],
destinationId: 111347
})
});
const { destination } = await response.json();
console.log('Moved to:', destination.name);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/vault/file-entries/move',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'entryIds': [111346],
'destinationId': 111347
}
)
print('Entries moved')
{
"entries": [],
"destination": {
"id": 111347,
"name": "Private Folder",
"type": "folder",
"is_encrypted": 1,
"vault_id": 993
},
"status": "success"
}
Vault
Move Vault Entries
Move entries within the vault
POST
/
vault
/
file-entries
/
move
curl -X POST https://app.drime.cloud/api/v1/vault/file-entries/move \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [111346],
"destinationId": 111347
}'
const response = await fetch('https://app.drime.cloud/api/v1/vault/file-entries/move', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [111346],
destinationId: 111347
})
});
const { destination } = await response.json();
console.log('Moved to:', destination.name);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/vault/file-entries/move',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'entryIds': [111346],
'destinationId': 111347
}
)
print('Entries moved')
{
"entries": [],
"destination": {
"id": 111347,
"name": "Private Folder",
"type": "folder",
"is_encrypted": 1,
"vault_id": 993
},
"status": "success"
}
Overview
Moves file entries to a different folder within the encrypted vault.Request Body
array
required
Array of entry IDs to move
integer
required
Destination folder ID
Response
array
The moved entries
object
Destination folder object
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/vault/file-entries/move \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [111346],
"destinationId": 111347
}'
const response = await fetch('https://app.drime.cloud/api/v1/vault/file-entries/move', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [111346],
destinationId: 111347
})
});
const { destination } = await response.json();
console.log('Moved to:', destination.name);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/vault/file-entries/move',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'entryIds': [111346],
'destinationId': 111347
}
)
print('Entries moved')
{
"entries": [],
"destination": {
"id": 111347,
"name": "Private Folder",
"type": "folder",
"is_encrypted": 1,
"vault_id": 993
},
"status": "success"
}
⌘I

